GetLicenseRecords
GetLicenseRecords
/zstack/v1/licenses/recordsOperation ID
GetLicenseRecordsSince
4.1.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
Query Parameters
limitIntegerOptional. The maximum number of records that cab be retrieved. Default: 20. This parameter is similar to the limit parameter in MySQL.
startIntegerOptional. The position to start a query. You need to set this parameter if you specify thelimit parameter. This parameter is similar to the offset parameter in MySQL.
replyWithCountbooleanOptional. Specifies whether to return the number of records. If you set the value to true, the number of records are returned.
countbooleanOptional. Specifies whether to count the number of records that meet the specified conditions. This parameter is similar to the count() function. If you set the value to true, the number of records that meet the specified conditions is calculated and returned.
sortByStringOptional. Specifies to start records by a key, for example sortBy=ip. You need to specify the sortDirection parameter if you specify this parameter. This parameter is similar to the sort by parameter in MySQL.
